Name:           gnome-pkg-tools
Version:        0.19.8
Release:        1%{?dist}
Summary:        Tools for the Debian GNOME Packaging Team

BuildArch:      noarch
License:        GPLv2+
URL:            http://packages.debian.org/unstable/%{name}
Source0:        http://ftp.de.debian.org/debian/pool/main/g/%{name}/%{name}_%{version}.tar.xz

BuildRequires:  perl-generators
BuildRequires:  xmlto
Requires:       debhelper
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This package contains some tools useful for the Debian GNOME Packaging Team
including:
 * Documentation.
 * The list of team members.
 * A number of rules files for CDBS that are helpful for GNOME
   packages - but may also be useful for others.
This package is useful when building Debian packages on Fedora, for instance
via pbuilder.


%prep
%setup -q -n %{name}-%{version}


%build
xmlto html-nochunks gnome-policy.xml


%install
install -d %{buildroot}%{_datadir}/%{name}
install -pm 0644 pkg-gnome.team %{buildroot}%{_datadir}/%{name}/pkg-gnome.team
install -pm 0644 control.header  %{buildroot}%{_datadir}/%{name}/control.header
cp -a 1 %{buildroot}%{_datadir}/%{name}/1
install -Dpm 0755 desktop-check-mime-types %{buildroot}%{_bindir}/desktop-check-mime-types
install -Dpm 0755 dh/dh_gnome %{buildroot}%{_bindir}/dh_gnome
install -Dpm 0755 dh/dh_gnome_clean %{buildroot}%{_bindir}/dh_gnome_clean
install -Dpm 0755 dh/gnome.pm %{buildroot}%{perl_vendorlib}/Debian/Debhelper/Sequence/gnome.pm
install -Dpm 0644 dh/dh_gnome.1 %{buildroot}%{_mandir}/man1/dh_gnome.1
install -Dpm 0644 dh/dh_gnome_clean.1 %{buildroot}%{_mandir}/man1/dh_gnome_clean.1
install -Dpm 0644 debian/desktop-check-mime-types.1 %{buildroot}%{_mandir}/man1/desktop-check-mime-types.1

%files
%doc gnome-policy.html
%license debian/copyright
%{_bindir}/desktop-check-mime-types
%{_bindir}/dh_gnome
%{_bindir}/dh_gnome_clean
%{_datadir}/%{name}/
%{perl_vendorlib}/Debian/Debhelper/Sequence/gnome.pm
%{_mandir}/man1/dh_gnome.1*
%{_mandir}/man1/dh_gnome_clean.1*
%{_mandir}/man1/desktop-check-mime-types.1*


%changelog
* Wed Jul 12 2017 Sandro Mani <manisandro@gmail.com> - 0.19.8-1
- Update to 0.19.8

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.19.7-4
- Perl 5.26 rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.19.7-2
- Perl 5.24 rebuild

* Mon Apr 25 2016 Sandro Mani <manisandro@gmail.com> - 0.19.7-1
- Update to 0.19.7

* Fri Feb 19 2016 Sandro Mani <manisandro@gmail.com> - 0.19.6-1
- Update to 0.19.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Sep 27 2015 Sandro Mani <manisandro@gmail.com> - 0.19.5-1
- Update to 0.19.5

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.19.4-3
- Perl 5.22 rebuild

* Fri Sep 05 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.19.4-2
- Perl 5.20 rebuild

* Thu Sep 04 2014 Sandro Mani <manisandro@gmail.com> - 0.19.4-1
- Update to 0.19.4

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.19.3-5
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 10 2014 Sandro Mani <manisandro@gmail.com> - 0.19.3-3
- Add description

* Mon Feb 10 2014 Sandro Mani <manisandro@gmail.com> - 0.19.3-2
- Added gnome-policy.html to %%doc

* Sun Feb 9 2014 Sandro Mani <manisandro@gmail.com> - 0.19.3-1
- Initial package
